Debian Bug report logs - #566038
mirage: does not byte-compile Python files

version graph

Package: src:mirage; Maintainer for src:mirage is Debian QA Group <packages@qa.debian.org>;

Reported by: dktrkranz@debian.org

Date: Wed, 20 Jan 2010 20:36:10 UTC

Severity: important

Tags: patch

Found in version mirage/0.9.3-4

Fixed in version mirage/0.9.3-5

Done: Xavier Oswald <xoswald@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Xavier Oswald <xoswald@debian.org>:
Bug#566038; Package src:mirage. (Wed, 20 Jan 2010 20:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to dktrkranz@debian.org:
New Bug report received and forwarded. Copy sent to Xavier Oswald <xoswald@debian.org>. (Wed, 20 Jan 2010 20:36:13 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: dktrkranz@debian.org
To: maintonly@bugs.debian.org
Subject: mirage: does not byte-compile Python files
Date: Wed, 20 Jan 2010 21:33:48 +0100
Source: mirage
Version: 0.9.3-4
Severity: important
User: debian-python@lists.debian.org
Usertags: no-byte-compile

Your package does not byte-compile Python files. This task is usually
done by python-support or python-central, which also take care to
move files to the right location.

In order to fix this bug, you should build-depend on python-support
or python-central and be sure to call corresponding dh_* helper
(dh_pysupport or dh_pycentral) in your rules file (if needed).

In case you already build-depend on python-support or python-central,
you need to look where your files are installed, and eventually patch
upstream build routines to let helpers byte-compile Python files.




Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 10:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#566038; Package src:mirage. (Sat, 23 Jan 2010 10:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 10:39:07 GMT) Full text and rfc822 format available.

Message #12 received at 566038@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 566038@bugs.debian.org
Subject: mirage: diff for NMU version 0.9.3-4.1
Date: Sat, 23 Jan 2010 11:24:24 +0100
[Message part 1 (text/plain, inline)]
tags 566038 + patch
thanks

Dear maintainer,

I've prepared an NMU for mirage (versioned as 0.9.3-4.1) but did not upload
it yet (the bug is "only" important).
Feel free to use my patch or give me a sign and I'll upload it the next days.

Regards
Evgeni Golov
[mirage-0.9.3-4.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#566038; Package src:mirage. (Sat, 23 Jan 2010 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <xoswald@gmail.com>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 17:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 566038@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@gmail.com>
To: Evgeni Golov <evgeni@debian.org>, 566038@bugs.debian.org
Subject: Re: Bug#566038: mirage: diff for NMU version 0.9.3-4.1
Date: Sat, 23 Jan 2010 18:37:19 +0100
Hi.

Thanks for your patch.

I was planning to work on mirage next week, I will thus include your patch and
upload a new version soon. ( Monday or thuesday )

Greetings,
-- 
 ,''`. Xavier Oswald                         | xoswald@debian.org         
: :' : Software Engineer at CALDERA GRAPHICS | http://www.caldera.eu   
`. `'  GNU/LINUX Debian Developer            | http://www.debian.org                
  `-   Isaac Project Developer               | http://www.lisaac.org 




Reply sent to Xavier Oswald <xoswald@debian.org>:
You have taken responsibility. (Wed, 10 Feb 2010 00:03:12 GMT) Full text and rfc822 format available.

Notification sent to dktrkranz@debian.org:
Bug acknowledged by developer. (Wed, 10 Feb 2010 00:03:12 GMT) Full text and rfc822 format available.

Message #22 received at 566038-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@debian.org>
To: 566038-close@bugs.debian.org
Subject: Bug#566038: fixed in mirage 0.9.3-5
Date: Wed, 10 Feb 2010 00:02:26 +0000
Source: mirage
Source-Version: 0.9.3-5

We believe that the bug you reported is fixed in the latest version of
mirage, which is due to be installed in the Debian FTP archive:

mirage_0.9.3-5.debian.tar.gz
  to main/m/mirage/mirage_0.9.3-5.debian.tar.gz
mirage_0.9.3-5.dsc
  to main/m/mirage/mirage_0.9.3-5.dsc
mirage_0.9.3-5_amd64.deb
  to main/m/mirage/mirage_0.9.3-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <xoswald@debian.org> (supplier of updated mirage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Feb 2010 00:29:30 +0100
Source: mirage
Binary: mirage
Architecture: source amd64
Version: 0.9.3-5
Distribution: unstable
Urgency: low
Maintainer: Xavier Oswald <xoswald@debian.org>
Changed-By: Xavier Oswald <xoswald@debian.org>
Description: 
 mirage     - fast and simple GTK+ image viewer
Closes: 535816 535817 535822 536285 550023 566038
Changes: 
 mirage (0.9.3-5) unstable; urgency=low
 .
   * Fix dh_pysupport call, so only python-support controlled files are
     installed (Closes: #566038)
   * Fix half-selected images (Closes: #536285). Thanks to Evgeni Golov patch
   * Provide a mirage menu item (Closes: #550023)
   * Add XDG base directory specification support (Closes: #535816).
     Thanks to Jakub Wilk <ubanus@users.sf.net> patch
   * Add suggest gimp, imagemagick, menu (Closes: #535822)
   * By default, Ctrl+E is bound to the gimp-remote-2.4 command, which is no
     longer available in sid (Closes: #535817)
     Thanks to Jakub Wilk <ubanus@users.sf.net> patch
   * Switch to dpkg-source 3.0 (quilt) format
   * Bump Standards-Version to 3.8.4
Checksums-Sha1: 
 f393b2a9a9903d2eb994d78446ed0a9e95cd3a4f 1109 mirage_0.9.3-5.dsc
 16b5dea01079bae74c7caca8b42d92a7547aa559 5430 mirage_0.9.3-5.debian.tar.gz
 3ad77576538b8f8544af6683a5484f70ce3fc9f1 106254 mirage_0.9.3-5_amd64.deb
Checksums-Sha256: 
 789d2e78b686931dd4045a2b2d20c511d33da4b735c7f5370155545dc9a9ce77 1109 mirage_0.9.3-5.dsc
 935d752928fe6fe81388e670816b7dbb3476393c31bec1314d1780e695abed5d 5430 mirage_0.9.3-5.debian.tar.gz
 4da8901f8f6601be76a0134f12e9237c9075f8ef96953a9c4b010b5e229e8944 106254 mirage_0.9.3-5_amd64.deb
Files: 
 debefce617ec119416a68abd42110385 1109 graphics extra mirage_0.9.3-5.dsc
 4d9b9bec0cd09e82e67f1573687685bf 5430 graphics extra mirage_0.9.3-5.debian.tar.gz
 18e367ce705287b013e4b9f6cfa4937a 106254 graphics extra mirage_0.9.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktx8TMACgkQpDDGqoi7tR7htgCgl+TufDYdoK9xf/pABWLyH7hy
a5gAnjnhxcUmbAn/okushPJi2BnfkEiY
=VZsw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Mar 2010 07:34:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:47:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.